#!/bin/sh

THIS_DIR=`dirname $0`

TEMPLATES=$THIS_DIR/templates
OUTGOING_SCRIPT=$THIS_DIR/../imip_person_outgoing.py
SHOWMAIL=$THIS_DIR/../tools/showmail.py
STORE=/tmp/store
STATIC=/tmp/static
ARGS="-S $STORE -P $STATIC -d"
USER="mailto:paul.boddie@example.com"
FBFILE="$STORE/$USER/freebusy"
TAB=`printf '\t'`

rm -r $STORE
rm -r $STATIC

$OUTGOING_SCRIPT $ARGS < $TEMPLATES/event-request.txt 2> /dev/null

   grep -q "^20141126T150000Z${TAB}20141126T160000Z" "$FBFILE" \
&& echo "Success" \
|| echo "Failed"

$OUTGOING_SCRIPT $ARGS < $TEMPLATES/event-cancel.txt 2> /dev/null
echo "Cancel..."

   ! grep -q '^FREEBUSY' "$FBFILE" \
&& echo "Success" \
|| echo "Failed"

$OUTGOING_SCRIPT $ARGS < $TEMPLATES/event-request-recurring.txt 2> /dev/null

   [ `cat "$FBFILE" | wc -l` = '3' ] \
&& grep -q "^20141212T090000Z${TAB}20141212T100000Z" "$FBFILE" \
&& echo "Success" \
|| echo "Failed"

$OUTGOING_SCRIPT $ARGS < $TEMPLATES/event-cancel-recurring-instance.txt 2> /dev/null

   [ `cat "$FBFILE" | wc -l` = '2' ] \
&& ! grep -q "^20141114T090000Z${TAB}20141114T100000Z" "$FBFILE" \
&& echo "Success" \
|| echo "Failed"

$OUTGOING_SCRIPT $ARGS < $TEMPLATES/event-request-recurring-reschedule-instance.txt 2> /dev/null

   grep -q "^20141011T080000Z${TAB}20141011T090000Z" "$FBFILE" \
&& ! grep -q "^20141010T090000Z${TAB}20141010T100000Z" "$FBFILE" \
&& echo "Success" \
|| echo "Failed"

$OUTGOING_SCRIPT $ARGS < $TEMPLATES/event-cancel-recurring.txt 2> /dev/null

   ! grep -q '^FREEBUSY' "$FBFILE" \
&& echo "Success" \
|| echo "Failed"
